## dep.pl 1.36.0-4

=== Makefile ===
## Makefile - top-level -*- Makefile -*- for dep.pl
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.26 2001/01/25 20:15:14 algernon Exp $

ifeq ($(wildcard Rules.mk),Rules.mk)
include Makefile.top
else
.DEFAULT all:
	@./configure
	@$(MAKE) $@
endif

.SILENT: .DEFAULT
