=== doc/english/Makefile ===
## doc/english/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/24 15:20:18 algernon Exp $

top_srcdir	= ../..
subdir		= doc/english
language_code	= english

info_DATA	= dep.pl.info

SYMLINK_DATA	= html
SUBDIRS		= html manpages

EXTRA_DIST	= dep.pl.texi
CLEAN_FILES	= dep.pl.info

include $(top_srcdir)/Rules.mk

all-local:: dep.pl.info

ifeq ($(language),$(language_code))
install-hook uninstall-hook: %-hook:
	@if test "$*" = "install"; then \
		list='$(SYMLINK_DATA)'; for f in $$list; do \
			echo "ln -sf english/$$f $(DESTDIR)$(docdir)/$$f" ;\
			ln -sf english/$$f $(DESTDIR)$(docdir)/$$f ;\
		done \
	else \
		list='$(SYMLINK_DATA)'; for f in $$list; do \
			echo "rm -f $(DESTDIR)$(docdir)/$$f" ;\
			rm -f $(DESTDIR)$(docdir)/$$f ;\
		done \
	fi
endif

dep.pl.info: dep.pl.texi
	$(MAKEINFO) -I .. dep.pl.texi
