=== doc/magyar/manpages/Makefile ===
## doc/magyar/manpages/Makefile
## Copyright (C) 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/18 14:02:05 algernon Exp $

top_srcdir	= ../../..
subdir		= doc/magyar/manpages
man_MANS	= dep.pl-config.1 dep.pl.1 vh-fix.pl.1
language_code	= hu

EXTRA_DIST	= dep.pl-config.1.in dep.pl.1.in vh-fix.pl.1.in
DISTFILES	= Makefile $(EXTRA_DIST)
CLEAN_FILES	= $(man_MANS)

include $(top_srcdir)/Rules.mk

all-local:: $(man_MANS)

$(man_MANS):
	sed -e "s^@pkgconfdir@^$(pkgconfdir)^g" < $@.in >$@T && \
		rm -f $@ && mv $@T $@
