=== debian/changelog ===
dep.pl (1.36.0-4) unstable; urgency=low

  * Fixed debian/dep.pl-manual Index problem (closes: Bug#107477)

 -- Angel Ramos <seamus@salix.org>  Thu,  2 Aug 2001 18:30:17 +0100
 

dep.pl (1.36.0-3) unstable; urgency=low

  * Fixed debian/dep.pl-manual file (closes: Bug#106832)

 -- Angel Ramos <seamus@salix.org>  Wed,  1 Aug 2001 15:30:40 +0100

dep.pl (1.36.0-2) unstable; urgency=low

  * New maintainer (closes: Bug#105979)
  * Packaging re-done without debhelper

 -- Angel Ramos <seamus@salix.org>  Thu,  19 Jul 2001 16:50:34 +0100

dep.pl (1.36.0) unstable; urgency=low

  * The `Fragment' release
  * Non-English manual pages are put to their proper place
  * Split out common routines to DepPl.pm

 -- Gergely Nagy <8@free.bsd.hu>  Mon, 25 Dec 2000 15:16:34 +0100

dep.pl (1.35.0) unstable; urgency=low

  * The `Kicking & Screaming' release
  * License changed to GPL
  * Heavy hammering on the build system

 -- Gergely Nagy <8@free.bsd.hu>  Thu, 14 Dec 2000 22:22:00 +0100

dep.pl (1.34.0) unstable; urgency=low

  * The Horror Yet To Come release
  * Initial release as an official package
  * Fixes for Perl 5.6

 -- Gergely Nagy <8@free.bsd.hu>  Thu, 30 Nov 2000 10:44:59 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Gergely Nagy <8@free.bsd.hu>"
End:
