=== debian/rules ===
#! /usr/bin/make -f

package=dep.pl

configure: configure-stamp
configure-stamp:
	$(checkdir)
	./configure --prefix=/usr \
		    --mandir=/usr/share/man \
		    --sysconfdir=/etc \
		    --infodir=/usr/share/info
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	$(MAKE) all
	touch build-stamp

clean:
	$(checkdir)
	rm -f debian/files
	rm -f build-stamp configure-stamp
	-$(MAKE) distclean
	
install: build
	$(checkdir)
	install -d debian/tmp/DEBIAN\
		-d debian/tmp/usr/share/doc/$(package)\
		-d debian/tmp/usr/share/doc-base
		-d debian/tmp/usr/share/man/man1
	install -m 755 debian/postinst debian/prerm debian/postrm debian/tmp/DEBIAN
	install -m 644 debian/conffiles debian/tmp/DEBIAN
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -m 0644 debian/dep.pl-manual debian/tmp/usr/share/doc-base/
# Remove license.
	rm -f debian/tmp/usr/share/doc/dep.pl/COPYING
# Remove `upstream' changelog
	rm -f debian/tmp/usr/share/doc/dep.pl/ChangeLog*

dep.pl: install

binary-indep: checkroot dep.pl
	$(checkdir)

binary-arch: checkroot dep.pl
	$(checkdir)
	cp -a debian/copyright debian/tmp/usr/share/doc/$(package)/.
	cp -a debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
	cp -a debian/changelog.old debian/tmp/usr/share/doc/$(package)/changelog.old.Debian
	cd debian/tmp/usr/share/doc/$(package) && gzip -9v *Debian
	gzip -9 debian/tmp/usr/share/man/hu/man1/*.1
	gzip -9 debian/tmp/usr/share/man/man1/*.1
	gzip -9 debian/tmp/usr/share/info/*
	find debian/tmp -type f | grep -v "./DEBIAN" | xargs md5sum | \
		sed -e 's#debian/tmp/##' > debian/tmp/DEBIAN/md5sums

	dpkg-shlibdeps src/dep.pl
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	rm -f debian/tmp/usr/share/doc/$(package)/*Debian
	dpkg --build debian/tmp ..
	rm -rf debian/tmp

define checkdir
       test -f src/$(package).in -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test $$(id -u) = 0

.PHONY: build clean binary-indep binary-arch binary install dep.pl
