=== src/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 top_srcdir	= ..
 subdir		= src
 
-perldir		= ${libdir}/perl5
+perldir		= ${datadir}/perl5
 perl_MODS	= DepPl.pm
 
 bin_SCRIPTS	= dep.pl vh-fix.pl dep.pl-config
