=== doc/english/html/Makefile ===
## doc/english/html/Makefile
## Copyright (C) 1999, 2000 The MadHouse Project
##
## This file is part of dep.pl.
##
## dep.pl is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## dep.pl is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
## $Id: Makefile,v 1.6 2000/12/24 15:20:18 algernon Exp $

top_srcdir	= ../../..
subdir		= doc/english/html
pkgdocdir	= $(docdir)/english/html
pkgdoc_DATA	= $(wildcard *.html)

DISTFILES	= Makefile
CLEAN_FILES	= $(pkgdoc_DATA)

include $(top_srcdir)/Rules.mk

all-local:: dep.pl.html

dep.pl.html: ../dep.pl.texi
	-$(TEXI2HTML) -I ../.. $<
