=== debian/changelog ===
dep.pl (1.36.0-5) unstable; urgency=low

  * Fixed src/dep-pl.config permissions (closes: Bug#173401)
  * Updated to Standards Version 3.5.8

 -- Angel Ramos <seamus@debian.org>  Thu,  6 Mar 2003 18:40:00 +0200
