=== debian/control ===
Source: dep.pl
Section: utils
Priority: optional
Maintainer: Angel Ramos <seamus@debian.org>
Standards-Version: 3.5.8
Build-Depends-Indep: texinfo, texi2html

Package: dep.pl
Architecture: all
Depends: ${perl:Depends}
Suggests: dialog | whiptail
Description: The dependency analyst
 This little script analyses the dependencies of a set
 of files, and produces a full detailed report or such
 an output, that can be passed to another program.
 .
 Comes handy when setting up a chrooted environment...
