=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 build: configure-stamp build-stamp
 build-stamp:
 	$(MAKE) all
+	chmod 755 src/dep.pl-config
 	touch build-stamp
 
 clean:
